Name: libpcd
Version: 1.0.1
Release: alt1

Summary: Reading PhotoCD images
Summary(ru_RU.UTF-8): Чтение изображений на PhotoCD 
License: GPL
Group: System/Libraries
URL: http://dl.bytesex.org/releases/libpcd/
Source: %{name}_%{version}.tar.gz

%description
This is a tiny library for decoding PhotoCD images.  Its not exactly
new, it exists for years and used to come bundled with xpcd.

%description -l ru_RU.UTF-8
Маленькая библиотека для декодирования изображений на дисках в формате PhotoCD.
Это совсем не новая разработка. Она существует уже многие годы и раньше входила 
в комплект с xpcd.

%package devel
Summary: Development environment for %name
Summary(ru_RU.UTF-8): Файлы для разработки с %name
Group: Development/C
Requires: %name = %version-%release
Provides: %name-devel = %version

%description devel
This package contains the header files necessary for developing
programs using the PCD (Photo CD) library.

%description devel -l ru_RU.UTF-8
Файлы заголовков, необходимые для разработки программ с использованием
библиотеки PCD (Photo CD).

%package devel-static
Summary: Static %name library
Summary(ru_RU.UTF-8): Статическая версия библиотеки %name
Group: Development/C
Requires: %name-devel = %version-%release
Provides: %name-devel-static = %version

%description devel-static
This package contains static library necessary for developing statically
linked programs using the PCD (Photo CD) library.

%description devel-static -l ru_RU.UTF-8
Статическая версия библиотеки, необходимая для разработки статически собранных 
программ с использованием библиотеки PCD (Photo CD).

%prep
%setup

%build
%make_build

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT prefix=/usr

%files
%_libdir/*.so*

%files devel
%_includedir/pcd.h
%doc pcd.html
 
%files devel-static
%_libdir/*.a

%changelog
* Sun Dec 12 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0.1-alt1
- ALTLinux build
